import { SvelteComponentTyped } from "svelte";
import type { DropdownItem, DropdownItems } from '../../../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        ref?: HTMLInputElement;
        name?: string;
        open?: boolean;
        direction?: 'auto' | 'top' | 'bottom';
        inline?: boolean;
        value?: string;
        hideLabel?: boolean;
        label?: string;
        placeholder?: string;
        description?: string;
        invalidText?: string;
        warningText?: string;
        disabled?: boolean;
        required?: boolean;
        invalid?: boolean;
        warning?: boolean;
        items?: DropdownItems;
        selectedItem?: DropdownItem;
        selectedId?: string;
        itemToString?: (item: DropdownItem) => string;
        shouldFilterItem?: (item: DropdownItem, value: string) => boolean;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        input: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type ComboBoxProps = typeof __propDef.props;
export declare type ComboBoxEvents = typeof __propDef.events;
export declare type ComboBoxSlots = typeof __propDef.slots;
export default class ComboBox extends SvelteComponentTyped<ComboBoxProps, ComboBoxEvents, ComboBoxSlots> {
}
export {};
