import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        ref?: HTMLInputElement;
        id?: string;
        name?: string;
        hideLabel?: boolean;
        label?: string;
        disabled?: boolean;
        required?: boolean;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        input: Event;
        focus: FocusEvent;
        blur: FocusEvent;
        paste: ClipboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type RadioButtonProps = typeof __propDef.props;
export declare type RadioButtonEvents = typeof __propDef.events;
export declare type RadioButtonSlots = typeof __propDef.slots;
export default class RadioButton extends SvelteComponentTyped<RadioButtonProps, RadioButtonEvents, RadioButtonSlots> {
}
export {};
