import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        ref?: HTMLInputElement;
        name?: string;
        hideLabel?: boolean;
        label?: string;
        invalidText?: string;
        warningText?: string;
        disabled?: boolean;
        required?: boolean;
        invalid?: boolean;
        warning?: boolean;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        input: Event;
        focus: FocusEvent;
        blur: FocusEvent;
        paste: ClipboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type CheckBoxProps = typeof __propDef.props;
export declare type CheckBoxEvents = typeof __propDef.events;
export declare type CheckBoxSlots = typeof __propDef.slots;
export default class CheckBox extends SvelteComponentTyped<CheckBoxProps, CheckBoxEvents, CheckBoxSlots> {
}
export {};
