import { SvelteComponentTyped } from "svelte";
import type { DropdownItem, DropdownItems } from '../../../types';
declare const __propDef: {
    props: {
        ref?: HTMLButtonElement;
        name?: string;
        open?: boolean;
        direction?: 'top' | 'bottom';
        inline?: boolean;
        hideLabel?: boolean;
        label?: string;
        description?: string;
        invalidText?: string;
        warningText?: string;
        disabled?: boolean;
        required?: boolean;
        invalid?: boolean;
        warning?: boolean;
        items?: DropdownItems;
        selectedItem: DropdownItem;
        selectedId?: string;
        itemToString?: (item: DropdownItem) => string;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        select: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type DropdownProps = typeof __propDef.props;
export declare type DropdownEvents = typeof __propDef.events;
export declare type DropdownSlots = typeof __propDef.slots;
export default class Dropdown extends SvelteComponentTyped<DropdownProps, DropdownEvents, DropdownSlots> {
}
export {};
