import { SvelteComponentTyped } from "svelte";
import type { RadioButtonGroupType } from '../../../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        ref?: HTMLDivElement;
        name?: string;
        title: string;
        data?: RadioButtonGroupType | undefined;
        invalidText?: string;
        warningText?: string;
        horizontal?: boolean;
        disabled?: boolean;
        required?: boolean;
        invalid?: boolean;
        warning?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type RadioButtonGroupProps = typeof __propDef.props;
export declare type RadioButtonGroupEvents = typeof __propDef.events;
export declare type RadioButtonGroupSlots = typeof __propDef.slots;
export default class RadioButtonGroup extends SvelteComponentTyped<RadioButtonGroupProps, RadioButtonGroupEvents, RadioButtonGroupSlots> {
}
export {};
