import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        ref?: HTMLTextAreaElement;
        name?: string;
        rows?: number;
        maxLength?: number;
        hideLabel?: boolean;
        label?: string;
        placeholder?: string;
        description?: string;
        warningText?: string;
        invalidText?: string;
        disabled?: boolean;
        required?: boolean;
        invalid?: boolean;
        warning?: boolean;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type TextAreaProps = typeof __propDef.props;
export declare type TextAreaEvents = typeof __propDef.events;
export declare type TextAreaSlots = typeof __propDef.slots;
export default class TextArea extends SvelteComponentTyped<TextAreaProps, TextAreaEvents, TextAreaSlots> {
}
export {};
