import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        ref?: HTMLInputElement;
        name?: string;
        checked?: boolean;
        inline?: boolean;
        size?: 'md' | 'sm';
        hideLabel?: boolean;
        label?: string;
        offLabel?: string;
        onLabel?: string;
        disabled?: boolean;
        required?: boolean;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        keypress: KeyboardEvent;
        change: Event;
        focus: FocusEvent;
        blur: FocusEvent;
        toggle: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type ToggleProps = typeof __propDef.props;
export declare type ToggleEvents = typeof __propDef.events;
export declare type ToggleSlots = typeof __propDef.slots;
export default class Toggle extends SvelteComponentTyped<ToggleProps, ToggleEvents, ToggleSlots> {
}
export {};
